/* Copyright (C) 1997-2003 The BLAH Team <blah@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without 
 * modifications, as long as this notice is preserved.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifdef HAVE_CONFIG_H
  #include <config.h>
#endif

#include <stdio.h>
#include <libgen.h>
#include <blah.h>

int main(int argc, char **argv)
{
  String path = "";
  String myBasename, stdBaseName;

  if (argc > 1) {
    path = argv[1];
  }

  myBasename = strBasename(path);
  stdBaseName = basename(path);
  printf("basename of `%s' is `%s'\n", path, myBasename);
  if (strcmp(myBasename, stdBaseName) != 0) {
    printf("should be '%s'\n", stdBaseName);
    return 1;
  }

  return 0;
}
