/* Copyright (C) 1997-2004 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without 
 * modifications, as long as this notice is preserved.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

%text %{
Grant restricted write access to InputStruct.
See class InputStruct for read access functions.
%}

%inline %{

/* constraintToDate */
void InputStruct_xcdgconstraintsToDate_set(InputStruct *input, int value) 
{
  if(input)
    input->xcdgconstraintsToDate = value;
}

/* hierarchiesToDate */
void InputStruct_xcdghierarchiesToDate_set(InputStruct *input, int value) 
{
  if(input)
    input->xcdghierarchiesToDate = value;
}

/* levelsToDate */
void InputStruct_xcdglevelsToDate_set(InputStruct *input, int value) 
{
  if(input)
    input->xcdglevelsToDate = value;
}

/* lexiconToDate */
void InputStruct_xcdglexiconToDate_set(InputStruct *input, int value) 
{
  if(input)
    input->xcdglexiconToDate = value;
}

/* wordgraphsToDate */
void InputStruct_xcdgwordgraphsToDate_set(InputStruct *input, int value) 
{
  if(input) 
    input->xcdgwordgraphsToDate = value;
}

%}

%include input.h
