/* vim: set filetype=cdg :
 * Copyright (C) 1997-2004 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without 
 * modifications, as long as this notice is preserved.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

#pragma set deduceCompounds on
#pragma set taggerCategoryPath cat
#pragma set locale de_DE
#pragma set anno-categories cat,cat2,subcat,baseform,infinitive,number,case,gender,person,flexion,degree,pattern,stress,tense,mood
#pragma set compound-categories NN
#pragma set capitalizable-categories ADJA
#pragma set featureHierarchy Features
#pragma set ignorethreshold 0.95
#pragma set templates bycategory
#pragma levelsort SYN REF

#pragma set taggerCommand deutsch-tagger.pl
#pragma tagger on


m4_include(Grammatik.cdg)
m4_include(AVZ.cdg)
m4_include(Hierarchien.cdg)
m4_include(Lexikon.cdg)
m4_include(Adjektiv-Templates.cdg)
