/* vim: set filetype=cdg :
 * Copyright (C) 1997-2004 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without 
 * modifications, as long as this notice is preserved.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

#pragma set deduceCompounds on
#pragma set taggerCategoryPath cat
#pragma set usenonspec off

m4_changequote(foo, bar)
m4_include(auto-sentences.cdg)
m4_include(auto-annotations.cdg)
m4_changequote()
m4_changecom(`//',`
')

/* 1: distance, 2: stretch */
m4_define(gradient, [ exp([ $1 - abs(distance(X@id, X^id) / $2 ) ] / exp($2)) ])
m4_define(isa, subsumes(Features, $2, $1cat))

m4_include(hierarchies.cdg)
m4_include(grammar.cdg)
m4_include(lexicon.cdg)
m4_include(auto-grammar.cdg)
m4_include(auto-lexicon.cdg)

