#!/bin/bash
# cdg/grammar/penn/test-transform-sentence.pl

n=$1
rm -f s$n-stage*

HILITE=`which hilite`

$HILITE ../../utils/depsy.pl -range $n -max 1 -debug \
 -annos s$n-annos.cdg \
 -prefix 's' \
 -annoprefix 'auto-s' \
 -extralevels REF \
 -plugin pennplugin.pl \
  /data/corpus/penn/parsed/export/wsj/00.export

# unmatched globs should reduce to ""
shopt -s nullglob
for x in s$n-stage*export; do
  ../../utils/negra2png.pl -n -m < $x > ${x%%export}png
  rm $x
done
for x in s$n-stage*cda; do
  ../../utils/cdg2png.pl < $x > ${x%%cda}png
  rm $x
done

kview  s$n-*.png 2>/dev/null
