/* Copyright (C) 1997-2004 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without 
 * modifications, as long as this notice is preserved.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * $Id: cdgdb.h,v 1.10 2004/09/01 13:41:18 micha Exp $
 */

#ifndef CDGDB_H
#define CDGDB_H

/* ---------------------------------------------------------------------------
 * @addtogroup Cdgdb 
 * @{
 */

/* -- FUNCTIONS ------------------------------------------------------------ */
extern Boolean dbOpen(String);
extern Boolean dbClose(void);
extern List dbGetEntries(String);
extern Boolean dbLoad(String); 
extern Boolean dbLoadAll(List); 
extern void dbInitialize(void);
extern void dbFinalize(void);
extern Boolean dbOpenCdgFile(String); 
extern Boolean dbAvailable(void);

/* ------------------------------------------------------------------------- */
/** @} */
#endif /* don't insert anything after this #endif */
