/* Copyright (C) 1997-2004 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without 
 * modifications, as long as this notice is preserved.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * $Id: skel.h,v 1.11 2004/09/27 17:07:05 micha Exp $
 */

#ifndef SKEL_H
#define SKEL_H

/* ---------------------------------------------------------------------------
 * @addtogroup Skel 
 * @{
 */

/* -- INCLUDES ------------------------------------------------------------- */
#include <config.h>

/* -- MACROS --------------------------------------------------------------- */

/** short description */
#define SOMEMACRO

/* -- TYPE DEFINITIONS ----------------------------------------------------- */

/* ----------------------------------------------------------------------------
 * short description.
 * long description
 */
typedef struct {
  int memberA;
  int memberB;
} MyExportedTypeStruct;
typedef MyExportedTypeStruct *MyExportedType; /**< type definition */

/** \var MyExportedTypeStruct::memberA
 * short description.
 * long description.
 */

/** \var MyExportedTypeStruct::memberB
 * short description.
 * long description.
 */

/* -- VARIABLES ------------------------------------------------------------ */
extern int myExportedVariable; 

/* -- FUNCTIONS ------------------------------------------------------------ */
extern int myExportedFunction(int a, int b);

/* ------------------------------------------------------------------------- */
/** @} */
#endif /* don't insert anything after this #endif */
