/* Copyright (C) 1997-2004 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without 
 * modifications, as long as this notice is preserved.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * $Id: cdgtest.c,v 1.7 2004/09/23 15:47:37 micha Exp $
 *
 * Author: Horia F. Pop,
 * Purpose: C file for cdg test program
 * Date: February 11, 2000
 */

#include <assert.h>
#include "config.h"
#include "cdg.h"
#include "hook.h"
#include "command.h"

void testCmdEval(String command) 
{
  assert(commandEval(command));
}  

int main(void)
{
  cdgInitialize();
  testCmdEval("set verbosity 0");
  testCmdEval("status");
  cdgFinalize();

  return 0;
}

